import { generateTag } from "@/utils/generateTag"

import type { CampaignPageRefs } from "@/types/trpc/routers/contentstack/campaignPage"
import type { Lang } from "@/constants/languages"

export function generatePageTags(
  validatedData: CampaignPageRefs,
  lang: Lang
): string[] {
  return [generateTag(lang, validatedData.campaign_page.system.uid)].flat()
}
